> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Cookies

<Info>
  This endpoint requires access to Account & Session Takeover Prevention (ASTP).
  Please contact your Customer Success Manager for more details.
</Info>

Returns a list of cookies matching the query provided.

<ResponseExample>
  ```json Response Example theme={null}
  {
          "items": [
              {
                  "uuid": "44672461-aca4-4b3b-b192-6bd5429c4c6d",
                  "domain": "scatterholt.com",
                  "expires_at": "2024-10-18T00:00:00+00:00",
                  "imported_at": "2024-01-01T00:00:00+00:00",
                  "name": "session",
                  "path": "/",
                  "event_uid": "stealer_log/stealer_logs_live/12345",
                  "value": "abcdefghijkl",
              },
          ],
          "next": "WzFd",
      }
  }
  ```
</ResponseExample>

## Paging

This endpoint supports the
[Flare standard paging pattern <Icon icon="book" size={16} />](/concepts/paging).

## Guides

See the guide for using this endpoint:
[Monitor Leaked Cookies for your Domain <Icon icon="book" size={16} />](/guides/cookie-monitoring).

## Body Parameters

<ParamField body="domain" type="string">
  The exact domain for which you want to search cookies. Subdomains will not be included.
</ParamField>

<ParamField body="values" type="string[]">
  A list of exact values for which you want to search cookies. Currently limited to a single value.
</ParamField>

<ParamField body="size" type="number">
  The number of results to fetch. (default: 100, max: 2000)
</ParamField>

<ParamField body="from" type="string">
  The `next` value from the last response.
</ParamField>

<ParamField body="names" type="string[]">
  A list of names to filter for specific cookies, for example `['session', 'PHPSESSID']`. (max: 10)
</ParamField>

<ParamField body="paths" type="string[]">
  A list of paths to filter for specific cookies, for example `['/', '/login']`. (max: 10)
</ParamField>

<ParamField body="imported_after" type="string">
  ISO-formatted datetime string to filter for cookies added to Flare's database after a given date, for example `2024-10-29T17:50:44.237148+00:00`.
</ParamField>

<ParamField body="expires_after" type="string">
  ISO-formatted datetime string to filter for cookie expiration, for example `2024-10-29T17:50:44.237148+00:00`.
</ParamField>

<ParamField body="order" type="string">
  Order in which you want to browse the cookies. One of `asc` or `desc`.
  It defaults to `asc` which is the recommended way to use the API to obtain newly imported cookies.
</ParamField>
